PgBeam Docs

Update a support case

PATCH
/v1/organizations/{org_id}/support/cases/{case_id}

Updates the status of a support case (close or reopen).

Authorization

AuthorizationBearer <token>

JWT issued by Better Auth. Verified via JWKS.

In: header

Path Parameters

org_id*string

Unique organization identifier.

case_id*string

Unique support case identifier (prefixed, e.g. sc_xxx).

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request body for updating a support case status.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/organizations/org_abc123/support/cases/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "sc_01h455vb4pex5vsknk084sn02q",  "case_number": 0,  "org_id": "string",  "user_id": "string",  "title": "string",  "severity": 1,  "status": "open",  "slack_channel_id": "string",  "slack_thread_ts": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "closed_at": "2019-08-24T14:15:22Z",  "message_count": 0}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}
{  "error": {    "code": "string",    "message": "string"  }}